package org.project.item.consumables;

import org.project.entity.Entity;

public class Flask extends Consumable {

    private int healAmount;

    public Flask() {
        super("Flask");
        this.healAmount = 30;
    }

    @Override
    public void use(Entity target) {

        target.heal(healAmount);


        System.out.println(
                target.getName() +
                        " drinks a flask and restores " +
                        healAmount + " HP."
        );
    }

    public int getHealAmount() {
        return healAmount;
    }

    public void setHealAmount(int healAmount) {
        this.healAmount = healAmount;
    }
}
